Cursor-list contacts
Returns contacts using cursor pagination with optional search and field projection. Custom attribute names and value types are returned in data.custom_field_definitions; keys in that map match keys under each contact’s custom_fields object.
GET
/
v1
/
contacts
Cursor-list contacts
curl --request GET \
--url https://api.octolane.com/v1/contacts \
--header 'x-api-key: <api-key>'import requests
url = "https://api.octolane.com/v1/contacts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.octolane.com/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.octolane.com/v1/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.octolane.com/v1/contacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.octolane.com/v1/contacts")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.octolane.com/v1/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": {
"custom_field_definitions": {
"last_action_date": {
"current_name": "Last Action Date",
"property_name": "custom__last_action_date",
"attribute_type": "date",
"metadata": null
},
"kola": {
"current_name": "Kola",
"property_name": "custom__kola",
"attribute_type": "multi_select",
"metadata": {
"options": [
{
"label": "E",
"value": "e-532837",
"color": "indigo"
}
]
}
}
},
"has_more": true,
"next_cursor": "<string>",
"limit": 123,
"contacts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"custom_fields": {}
}
]
}
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}Authorizations
Personal API key. Requests act as the workspace member who created the key, with that member's current access, and stop working when the key is disabled or its creator leaves the workspace.
Query Parameters
Free-text search query.
Opaque pagination cursor returned by a previous page.
Maximum number of records.
Required range:
1 <= x <= 500Optional fields to include. Accepts a comma-separated string or repeated array values.
Was this page helpful?
⌘I
Cursor-list contacts
curl --request GET \
--url https://api.octolane.com/v1/contacts \
--header 'x-api-key: <api-key>'import requests
url = "https://api.octolane.com/v1/contacts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.octolane.com/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.octolane.com/v1/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.octolane.com/v1/contacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.octolane.com/v1/contacts")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.octolane.com/v1/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": {
"custom_field_definitions": {
"last_action_date": {
"current_name": "Last Action Date",
"property_name": "custom__last_action_date",
"attribute_type": "date",
"metadata": null
},
"kola": {
"current_name": "Kola",
"property_name": "custom__kola",
"attribute_type": "multi_select",
"metadata": {
"options": [
{
"label": "E",
"value": "e-532837",
"color": "indigo"
}
]
}
}
},
"has_more": true,
"next_cursor": "<string>",
"limit": 123,
"contacts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"custom_fields": {}
}
]
}
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}